#ifndef PLAYERMANAGER_HPP_INCLUDED
#define PLAYERMANAGER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "FriendList.hpp"
#include "IgnoreList.hpp"

namespace Internal
{
    class PlayerManager : public Object
    {
        public:
            PlayerManager(const void* Obj);

            PlayerManager() = default;
            PlayerManager(PlayerManager&& Obj) = default;
            PlayerManager(const PlayerManager& Obj) = default;
            PlayerManager& operator=(PlayerManager&& Obj) = default;
            PlayerManager& operator=(const PlayerManager& Obj) = default;

            static Class GetClass();

            FriendList GetFriendList() const;
            IgnoreList GetIgnoreList() const;

    };
}

#endif // PLAYERMANAGER_HPP_INCLUDED
